Create Payable Register: Yardi REST
Betahttps://api.propexo.com/v1/payable-registers/yardi_rest/| Interface | Method |
|---|---|
| Vendor Invoicing | /ItfVendorInvoicing/ImportInvoiceRegister |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
The Propexo unique identifier for the financial account. Must be the cash account ID associated with the property passed in the payable register items. You'll likely want to work with your customer to know what value is appropriate here.
The invoice or reference number that the vendor assigned to the service request. Must be unique per vendor.
The date of issuance for the invoice
Show 2 variants
The amount of the payable register, in cents. Total amount must match the sum of the payable register items' amounts
The discount, in cents, of the payable register
The date a discount was issued on payable register
Show 2 variants
The discount percentage of the payable register
Possible values: Value must match regular expression ^([1-9]\d?|0\.(0[1-9]|[1-9]\d?)|[1-9]\d?\.\d{1,2})$
The due date associated with the payable register
Show 2 variants
The display type of the payable register. You'll likely want to work with your customer to know what value is appropriate here.
The expense type of the payable register. This is a customer defined list and you'll likely want to work with your customer to know what value is appropriate here.
Whether the payable register is an adjustment or not
Whether the payable register is a credit memo or not
Whether the payable register should consolidate checks or not
Whether the payable register is exempt from a 1099 or not
The status of the payable register
Show 6 enum values
READYKEYEDWORKFLOWAPPROVEDPOSTEDOTHERNotes associated with the payable register
Possible values: <= 512 characters
The 2nd user defined field of the payable register. You'll likely want to work with your customer to know what value is appropriate here.
The 3rd user defined field of the payable register. You'll likely want to work with your customer to know what value is appropriate here.
The 4th user defined field of the payable register. You'll likely want to work with your customer to know what value is appropriate here.
The 5th user defined field of the payable register. You'll likely want to work with your customer to know what value is appropriate here.
The 6th user defined field of the payable register. You'll likely want to work with your customer to know what value is appropriate here.
payable_register_items object[]required
A list of payable register line items. At least one is required.
Possible values: >= 1
The Propexo unique identifier for the property
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
The Propexo unique identifier for the purchase order item. This Purchase Order Item must be associated with the same property.
The amount of the payable register item, in cents. If also passing in a purchase order item, the total amount cannot be greater than the associated purchase order.
Notes associated with the payable register item
Possible values: <= 512 characters
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
The Propexo unique identifier for the financial account. Must be the cash account ID associated with the property passed in the payable register items. You'll likely want to work with your customer to know what value is appropriate here.
The invoice or reference number that the vendor assigned to the service request. Must be unique per vendor.
Show 2 variants
The amount of the payable register, in cents. Total amount must match the sum of the payable register items' amounts
The discount, in cents, of the payable register
The date a discount was issued on payable register
Show 2 variants
The discount percentage of the payable register
Possible values: Value must match regular expression ^([1-9]\d?|0\.(0[1-9]|[1-9]\d?)|[1-9]\d?\.\d{1,2})$
The due date associated with the payable register
Show 2 variants
The display type of the payable register. You'll likely want to work with your customer to know what value is appropriate here.
The expense type of the payable register. This is a customer defined list and you'll likely want to work with your customer to know what value is appropriate here.
Whether the payable register is an adjustment or not
Whether the payable register is a credit memo or not
Whether the payable register should consolidate checks or not
Whether the payable register is exempt from a 1099 or not
The status of the payable register
Show 6 enum values
READYKEYEDWORKFLOWAPPROVEDPOSTEDOTHERNotes associated with the payable register
Possible values: <= 512 characters
The 2nd user defined field of the payable register. You'll likely want to work with your customer to know what value is appropriate here.
The 3rd user defined field of the payable register. You'll likely want to work with your customer to know what value is appropriate here.
The 4th user defined field of the payable register. You'll likely want to work with your customer to know what value is appropriate here.
The 5th user defined field of the payable register. You'll likely want to work with your customer to know what value is appropriate here.
The 6th user defined field of the payable register. You'll likely want to work with your customer to know what value is appropriate here.
payable_register_items object[]required
The Propexo unique identifier for the property
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
The Propexo unique identifier for the purchase order item. This Purchase Order Item must be associated with the same property.
The amount of the payable register item, in cents. If also passing in a purchase order item, the total amount cannot be greater than the associated purchase order.
Notes associated with the payable register item
Possible values: <= 512 characters
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/payable-registers/yardi_rest/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_id": "string",
"invoice_number": "string",
"invoice_date": "2024-07-29T15:51:28.071Z",
"total_amount_in_cents": 0,
"payable_register_items": [
{
"property_id": "string",
"financial_account_id": "string",
"cash_financial_account_id": "string",
"purchase_order_item_id": "string",
"total_amount_in_cents": 0,
"notes": "string"
}
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_id": "string",
"ap_financial_account_id": "string",
"cash_financial_account_id": "string",
"invoice_number": "string",
"invoice_date": "2024-07-29T15:51:28.071Z",
"total_amount_in_cents": 0,
"discount_amount_in_cents": 0,
"discount_date": "2024-07-29T15:51:28.071Z",
"discount_percent": "string",
"due_date": "2024-07-29T15:51:28.071Z",
"display_type": "string",
"expense_type": "string",
"is_adjustment": true,
"is_credit_memo": true,
"is_consolidate_checks": true,
"is_exempt_from_1099": true,
"invoice_status": "READY",
"notes": "string",
"user_defined_field_2": "string",
"user_defined_field_3": "string",
"user_defined_field_4": "string",
"user_defined_field_5": "string",
"user_defined_field_6": "string",
"payable_register_items": [
{
"property_id": "string",
"financial_account_id": "string",
"cash_financial_account_id": "string",
"purchase_order_item_id": "string",
"total_amount_in_cents": 0,
"notes": "string"
}
]
}
}